/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.core.text;

/**
 * 文字列ユーティリティーです。
 */
public class Strings {

	private Strings() {
	}

	/**
	 * 連続する余分なホワイトスペースを除去します。
	 * @param s 文字列
	 * @return 処理後の文字列
	 */
	public static String removeWhitespace(String s) {
		if (s == null) {
			return s;
		}
		s = s.replace("&nbsp;", " ");
		s = s.trim().replaceAll("\\s+", " ");
		return s;
	}

	/**
	 * ホワイトスペースで分割します。
	 * @param s 文字列
	 * @return 分割後の文字列配列
	 */
	public static String[] splitByWhitespace(String s) {
		if (s == null) {
			return new String[] {};
		}
		s = s.replace("&nbsp;", " ");
		return s.trim().split("\\s+");
	}
}
